Bug 124578

Summary: Remove WTF:: prefix from types in messages.in files.
Product: WebKit Reporter: Tamas Gergely <tgergely.u-szeged>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: aestes, andersca, ap, bdakin, beidson, benjamin, buildbot, commit-queue, darin, enrica, eric.carlson, galpeter, glenn, hyatt, jer.noble, kling, mitz, mjs, mrowe, ossy, rniwa, sam, simon.fraser, thorton
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 125142    
Attachments:
Description Flags
Removes WTF prefix from messages.in files, 1st try.
none
Removes WTF prefix from messages.in files, update.
buildbot: commit-queue-
Removes WTF prefix from messages.in files, update for mac. none

Description Tamas Gergely 2013-11-19 05:46:09 PST
From the bug 123095 a comment came which describes that the all WTF:: prefixes (not only for template classes) should be removed from the messages.in files.
Comment 1 Tamas Gergely 2013-11-19 05:59:49 PST
Created attachment 217292 [details]
Removes WTF prefix from messages.in files, 1st try.
Comment 2 Csaba Osztrogon√°c 2013-11-29 02:49:23 PST
LGTM, but it needs a WK2 owner review.
Comment 3 Tamas Gergely 2013-11-29 07:22:09 PST
Created attachment 218065 [details]
Removes WTF prefix from messages.in files, update.
Comment 4 Build Bot 2013-11-29 07:32:25 PST
Comment on attachment 218065 [details]
Removes WTF prefix from messages.in files, update.

Attachment 218065 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/39138172
Comment 5 Build Bot 2013-11-29 07:52:33 PST
Comment on attachment 218065 [details]
Removes WTF prefix from messages.in files, update.

Attachment 218065 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/39138175
Comment 6 Tamas Gergely 2013-12-02 00:25:41 PST
Created attachment 218145 [details]
Removes WTF prefix from messages.in files, update for mac.
Comment 7 Csaba Osztrogon√°c 2013-12-03 03:28:09 PST
cc more WK2 owner, maybe one of the have time to review this patch.
The patch looks good to me, but the r+ can be set only WK2 owner.
Comment 8 WebKit Commit Bot 2013-12-03 11:35:54 PST
Comment on attachment 218145 [details]
Removes WTF prefix from messages.in files, update for mac.

Clearing flags on attachment: 218145

Committed r160022: <http://trac.webkit.org/changeset/160022>
Comment 9 WebKit Commit Bot 2013-12-03 11:35:58 PST
All reviewed patches have been landed.  Closing bug.